gnutls_db_set_retrieve_function(3)

NAME
gnutls_db_set_retrieve_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_db_set_retrieve_function(gnutls_session_t session, gnutls_db_retr_func retr_func);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

gnutls_db_retr_func retr_func
    is the function.

DESCRIPTION
Sets the function that will be used to retrieve data from the resumed sessions database. This function must return a gnutls_datum_t containing the data on success, or a gnutls_datum_t containing null and 0 on failure. The datum's data must be allocated using the function gnutls_malloc(). The first argument to retr_func will be null unless gnutls_db_set_ptr() has been called.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/